<!DOCTYPE html>
<html
	xmlns:th="http://www.thymeleaf.org"
	xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
	layout:decorate="~{layouts/admin.html}"
>
	<head>
		<title layout:title-pattern="$CONTENT_TITLE - $LAYOUT_TITLE">
			Setting - Peran
		</title>
		<script th:inline="javascript">
			function editRole(id, name, desc) {

				// Populate form data
				document.getElementById('roleId').value = id;
				document.getElementById('name').value = name;
				document.getElementById('description').value = desc;
				document.getElementById('cancel-button').style.display = 'block';
			}

			function cancelEdit() {
				document.getElementById('roleId').value = '';
				document.getElementById('name').value = '';
				document.getElementById('description').value = '';
				document.getElementById('cancel-button').style.display = 'none';
			}
		</script>
	</head>
	<body layout:fragment="content">
		<div class="container mx-auto px-4 mb-6 mt-6 space-y-6">
			<!-- form -->
			<div th:replace="~{setting/role/partials/form.html :: form}"></div>
			<div class="rounded-xl shadow bg-white dark:bg-gray-800">
				<!-- table header -->
				<div
					th:replace="~{setting/role/partials/table-header.html :: tableHeader}"
				></div>
				<!-- table -->
				<div th:replace="~{setting/role/partials/table.html :: table}"></div>
				<!-- table footer -->
				<div
					th:replace="~{setting/role/partials/table-footer.html :: tableFooter}"
				></div>
			</div>
		</div>
	</body>
</html>
